<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <h2>{{ "Military.Wars.Title" | translate }}</h2>
  <nz-table #warsTable [nzData]="list" [nzNoResult]="noWars">
    <thead>
      <tr>
        <th style="width: 35%">{{ "Military.Battles.Attacker" | translate }}</th>
        <th style="width: 35%">{{ "Military.Battles.Defender" | translate }}</th>
        <th >
          {{'Military.Battles.Title' | translate }}
        </th>
        <th style="width: 10%"></th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let item of warsTable.data">
        <td [routerLink]="['/country', item.attacker?.id]">
          <img [src]="item.attacker?.flagLocation" width="30" height="30" style="margin-right: 10px" />
          {{ item.attacker?.name }}
        </td>
        <td [routerLink]="['/country', item.defender?.id]">
          <img [src]="item.defender?.flagLocation" width="30" height="30" style="margin-right: 10px" />
          {{ item.defender?.name }}
        </td>
        <td>
          <div>
          <nz-tag [nzColor]="'red'" nz-tooltip [nzTooltipTitle]="item.attacker?.name + ' Win'" >{{ item.attackerWon}}</nz-tag>
          <nz-tag [nzColor]="'gold'"  nz-tooltip [nzTooltipTitle]="'Military.Battles.battlesActive' | translate">
            {{ item.inProgress }}
          </nz-tag>
          <nz-tag [nzColor]="'green'" nz-tooltip [nzTooltipTitle]="item.defender?.name + ' Win'">{{ item.defenderWon }}</nz-tag>
          </div>
        </td>
        <td>
          <button nz-button nzShape="round" nzType="default" [routerLink]="['/war', item.id]">
            {{ "Common.Buttons.View" | translate }}
          </button>
        </td>
      </tr>
    </tbody>
    <ng-template #noWars>
      <div style="text-align: center">
        <img src="../../../../assets/img/icons/peace.png" style="width: 10%;" />
        <div style="margin-top: 20px">{{ "Wars.NoWars" | translate }}</div>
      </div>
    </ng-template>
  </nz-table>
</nz-spin>